=== debian/changelog ===
pimentech-dbutils (1.0.22-1) unstable; urgency=low

  * bug fix in exec-sql.sh

 -- root <ramon@pimentech.net>  Fri, 17 Jan 2003 13:27:33 +0100

pimentech-dbutils (1.0.21-1) unstable; urgency=low

  * new tag update-or-insert in qmlserv

 -- root <ramon@pimentech.net>  Fri, 20 Dec 2002 18:42:54 +0100

pimentech-dbutils (1.0.20-1) unstable; urgency=low

  * Minor bug fix on csvdb.py, no more mandatory sql transaction on all file

 -- root <ramon@pimentech.net>  Mon, 16 Dec 2002 12:14:00 +0100

pimentech-dbutils (1.0.19-1) unstable; urgency=low

  * Another Bug fix in error handling in qmldb (qmlserv middleware)

 -- root <ramon@pimentech.net>  Wed, 11 Dec 2002 21:12:27 +0100

pimentech-dbutils (1.0.18-1) unstable; urgency=low

  * Bug fix in qmldb (qmlserv middleware)

 -- root <ramon@pimentech.net>  Wed, 11 Dec 2002 16:25:44 +0100

pimentech-dbutils (1.0.17-1) unstable; urgency=high

  * expect cooking for long lines

 -- root <ramon@pimentech.net>  Tue, 12 Nov 2002 18:14:53 +0100

pimentech-dbutils (1.0.16-1) unstable; urgency=high

  * adding handling of postgresql with trust authentication and postgresql 7.1

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 20:19:56 +0100

pimentech-dbutils (1.0.15-1) stable; urgency=high

  * complete rewritten of all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 17:16:19 +0100

pimentech-dbutils (1.0.14-1) unstable; urgency=high

  * Bug fix in dump-db.sh : avoiding expect for postgresql versions < 7.2

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 00:58:45 +0100

pimentech-dbutils (1.0.13-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Fri,  8 Nov 2002 20:29:47 +0100

pimentech-dbutils (1.0.12-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code), compact dump option in dump-db.sh and replic-db.sh

 -- root <ramon@pimentech.net>  Fri,  8 Nov 2002 15:54:44 +0100

pimentech-dbutils (1.0.11-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Thu,  7 Nov 2002 11:41:02 +0100

pimentech-dbutils (1.0.10-1) stable; urgency=low

  * rewritting of replic-sb.sh scripts for postgresql with expect for postgresql 7.2, Bug fix in dbhandler.py

 -- root <ramon@pimentech.net>  Wed, 23 Oct 2002 14:43:43 +0200

pimentech-dbutils (1.0.9-2) unstable; urgency=low

  * Bug fix in pgml2ssql

 -- root <ramon@pimentech.net>  Thu,  3 Oct 2002 16:15:04 +0200

pimentech-dbutils (1.0.9-1) unstable; urgency=low

  * Bug fix in pgml2sql, rewritting of wrapper scripts for postgresql with expect for postgresql 7.2

 -- root <ramon@pimentech.net>  Mon, 30 Sep 2002 15:46:57 +0200

pimentech-dbutils (1.0.8-1) unstable; urgency=low

  * Documentation and manpages

 -- Frederic de ZORZI <fredz@pimentech.net>  Thu, 29 Aug 2002 16:26:09 +0200

pimentech-dbutils (1.0.7-1) stable; urgency=low

  * cleaner csvdb.py

 -- root <ramon@pimentech.net>  Fri, 23 Aug 2002 12:19:13 +0200

pimentech-dbutils (1.0.6-1) unstable; urgency=low

  * french doc end wrappers added 

 -- root <ramon@pimentech.net>  Fri, 16 Aug 2002 17:32:03 +0200

pimentech-dbutils (1.0.5-1) unstable; urgency=high

  * Bug fix on dbhandler again

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 15:49:02 +0200

pimentech-dbutils (1.0.4-1) unstable; urgency=high

  * Bug fix on dbhandler

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 15:39:23 +0200

pimentech-dbutils (1.0.3-1) unstable; urgency=low

  * cleaner csvdb

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 12:17:04 +0200

pimentech-dbutils (1.0.2-6) unstable; urgency=low

  * extract data now possible

 -- root <ramon@pimentech.net>  Thu, 30 May 2002 19:06:14 +0200

pimentech-dbutils (1.0.2-5) unstable; urgency=low

  * set datestyle to 'European' ; set datestyle to 'SQL'

 -- root <ramon@pimentech.net>  Wed, 29 May 2002 15:16:55 +0200

pimentech-dbutils (1.0.2-4) unstable; urgency=low

  * qmlserv with better logs

 -- root <ramon@pimentech.net>  Wed, 29 May 2002 13:09:51 +0200

pimentech-dbutils (1.0.2-3) unstable; urgency=low

  * qmlserv now with authentification and new qml for updates

 -- root <ramon@pimentech.net>  Tue, 28 May 2002 19:45:16 +0200

pimentech-dbutils (1.0.2-2) unstable; urgency=low

  * qml handles values between attribute tags

 -- Ramon Maceiras <ramon@pimentech.net>  Tue, 28 May 2002 12:02:30 +0200

pimentech-dbutils (1.0.2-1) unstable; urgency=low

  * new middleware qmlserv.py

 -- root <ramon@pimentech.net>  Mon, 27 May 2002 18:23:40 +0200

pimentech-dbutils (1.0.1-13) unstable; urgency=low

  * tables inherit unique constraints

 -- root <ramon@pimentech.net>  Thu, 14 Mar 2002 20:20:46 +0100

pimentech-dbutils (1.0.1-12) unstable; urgency=high

  * Bug fix on package

 -- root <ramon@pimentech.net>  Mon, 11 Mar 2002 12:08:15 +0100

pimentech-dbutils (1.0.1-11) unstable; urgency=high

  * Bug fix on package

 -- root <ramon@pimentech.net>  Mon, 11 Mar 2002 11:59:46 +0100

pimentech-dbutils (1.0.1-10) unstable; urgency=low

  * Added parent references indexes to pgml2sql

 -- root <ramon@pimentech.net>  Sun, 10 Mar 2002 16:46:14 +0100

pimentech-dbutils (1.0.1-9) unstable; urgency=low

  * Added constraints on pgml

 -- root <ramon@pimentech.net>  Thu, 14 Feb 2002 19:27:39 +0100

pimentech-dbutils (1.0.1-8) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- Ramon Maceiras <ramon@pimentech.net>  Wed,  6 Feb 2002 10:55:29 +0100

pimentech-dbutils (1.0.1-7) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- Ramon Maceiras <ramon@pimentech.net>  Thu, 24 Jan 2002 13:17:12 +0100

pimentech-dbutils (1.0.1-6) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- root <ramon@pimentech.net>  Wed,  9 Jan 2002 12:17:56 +0100

pimentech-dbutils (1.0.1-5) unstable; urgency=low

  * Bug fix

 -- Ramon Maceiras <ramon@pimentech.net>  Tue,  9 Oct 2001 13:48:37 +0200

pimentech-dbutils (1.0.1-4) unstable; urgency=low


