=== debian/control ===
Source: pimentech-dbutils
Section: devel
Priority: optional
Maintainer: Frederic de ZORZI <fredz@pimentech.net>
Standards-Version: 3.0.1

Package: pimentech-dbutils
Architecture: any
Depends: python-libcommon (>=1.0.4), python-xml, libxml-perl, expect5.31
Description: Design your (PostgreSQL) databases in XML
 With these tools, you can design your database (E.R schema) in XML, compute the SQL database
 generation code, the diagram (in dot), and other useful tools for database designers.
 Copyright (C) 2001 PimenTech SARL (http://www.pimentech.net)
 These tools are released under GPL.
