=== man/Makefile ===
include ../rules/make.rules

MANDIR1=${MANDIR}/man1
MANDIR5=${MANDIR}/man5
MANFILES1= ${wildcard *.1}
MANFILES5= ${wildcard *.5}

all :

clean :

install: install.ok

install.ok: all ${MANDIR1} ${MANDIR5}
	@echo "installing man pages"
	@cp ${MANFILES1} ${MANDIR1} && cp ${MANFILES5} ${MANDIR5}
	@date > $@

${MANDIR1} :
	@echo "creating $@"
	@mkdir -p $@

${MANDIR5} :
	@echo "creating $@"
	@mkdir -p $@
