=== src/shell/Makefile ===
include ../../rules/make.rules

NAME = shell

SHELLFILES = ${wildcard *.sh} ${wildcard *.pl} pgml2sql pgml2ssql pgml2dot simplify-pgml dtd2pgml pgtml2form pgtml2insert \
	pgtml2iphp pgtml2select pgtml2sphp pgtml2update pgtml2uphp qmlserv pgtml2zope xml2db

all: doc

doc: 

install: all copy.ok

copy.ok: ${SHELLDIR} ${SHELLFILES}
	@echo "installing ${NAME} files"
	@if [ -n "${SHELLFILES}" ]; then cp ${SHELLFILES} ${SHELLDIR}; fi
	@date > $@

clean:
	@rm -rf *~ *.ok

${SHELLDIR}:
	@echo "creating $@"
	@mkdir -p ${SHELLDIR}
