=== src/xml/Makefile ===
DOCDIR=/usr/share/doc/pimentech-dbutils

NAME = xml

PGMLFILES = biblio.pgml
PGTMLFILES = biblio_new_user.pgtml
DTDFILES = ${wildcard *.dtd}

DOT = dot
PS2PDF = ps2pdf
EPSTOPDF = epstopdf

SUFFIXES = .ps .pdf .tex .dvi .bib .bbl .dot .eps .dia .gnumeric .tbz .tbunzipped \
		 .tgz .tgz_running .sql .xml .tgz .tgunzipped .csv .clst .lst .pl .py .sh .mak .php .php4 .html .htm .temp \
		.dot .sdot .pgml .pgtml .ssql .isql .usql .sphp .iphp .uphp .dtd

.SUFFIXES : ${SUFFIXES}

.pgml.sql:
	@echo "converting $< to $@"
	@pgml2sql -f $< -o $@

.pgml.dot: 
	@echo "converting $< to $@"
	@pgml2dot -f $< -o $@

.pgml.sdot: 
	@echo "converting $< to $@"
	@pgml2dot -f $< -o $@ -s

.pgml.spgml:
	@echo "converting $< to $@"
	@simplify-pgml -f $< -o $@ -u -i "uid int4 PRIMARY KEY default nextId()"

.spgml.ssql:
	@echo "converting $< to $@"
	@pgml2struct.pl -f $< -o $@ -s

.dtd.pgml:
	@echo "converting $< to $@"
	@dtd2pgml -f $< -o $@

.pgtml.ssql:
	@echo "converting $< to $@"
	@pgtml2select -f $< -s biblio.pgml -o $@

.pgtml.isql:
	@echo "converting $< to $@"
	@pgtml2insert -f $< -s biblio.pgml -o $@

.pgtml.usql:
	@echo "converting $< to $@"
	@pgtml2update -f $< -s biblio.pgml -o $@

.pgtml.html:
	@echo "converting $< to $@"
	@pgtml2form -f $< -s biblio.pgml -o $@

.pgtml.sphp:
	@echo "converting $< to $@"
	@pgtml2sphp -f $< -s biblio.pgml -o $@

.pgtml.iphp:
	@echo "converting $< to $@"
	@pgtml2iphp -f $< -s biblio.pgml -o $@

.pgtml.uphp:
	@echo "converting $< to $@"
	@pgtml2uphp -f $< -s biblio.pgml -o $@

.dot.eps:
	@echo "Compilation de $< en $@"
	@${DOT} -Tps -Nfontsize=4 -Efontsize=4 $< > $@

.sdot.eps:
	@echo "Compilation de $< en $@"
	@${DOT} -Tps -Nfontsize=4 -Efontsize=4 $< > $@

.ps.pdf:
	@echo "Compilation de $< en $@"
	@${PS2PDF} $< $@

.eps.pdf:
	@echo "Compilation de $< en $@"
	@${EPSTOPDF} $< --outfile=$@

SQLFILES = ${PGMLFILES:.pgml=.sql} \
			${PGTMLFILES:.pgtml=.ssql} \
			${PGTMLFILES:.pgtml=.isql} \
			${PGTMLFILES:.pgtml=.usql}

PHPFILES = ${PGTMLFILES:.pgtml=.sphp} \
			${PGTMLFILES:.pgtml=.iphp} \
			${PGTMLFILES:.pgtml=.uphp}


DOTFILES = ${PGMLFILES:.pgml=.dot} ${PGMLFILES:.pgml=.sdot}
HTMLFILES = ${PGTMLFILES:.pgtml=.html}
EPSFILES = ${DOTFILES:.dot=.eps} sbiblio.eps

all: ${SQLFILES} ${HTMLFILES} ${PHPFILES} ${DOTFILES} ${PDFS}

eps: ${EPSFILES}

install: ${DOCDIR}/examples
	@echo "installing ${NAME} files"
	@cp ${PGMLFILES} ${PGTMLFILES} ${DTDFILES} Makefile ${DOCDIR}/examples
	@cp ${DTDFILES} ${DOCDIR}

${DOCDIR}/examples :
	@echo "creating $@"
	@mkdir -p $@

clean:
	@rm -rf *~ *.sdot *.dot *.ssql *.isql *.usql *.html *.ok *.sphp *.iphp *.uphp *.eps

sbiblio.eps: biblio.sdot
	@echo "Compilation de $< en $@"
	@${DOT} -Tps $< > $@
