=== debian/changelog ===
pimentech-dbutils (1.0.23-1) unstable; urgency=low

  * bug fix in exec-sql.sh

 -- root <ramon@pimentech.net>  Sat, 25 Jan 2003 16:32:19 +0100
